−
Get Shared Users of File
Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab
This API fetches all shared users of a file or folder.
Endpoints
OAuth Scope
WorkDrive.files.READCopied!
Request Example
cURL
cURL
Deluge
Copied!
curl --request GET \
--url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/permissions \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'header = Map();
header.put("Accept","application/vnd.api+json");
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/permissions"
type : GET
headers : header
connection : "wdconnection"
];
info response;Path Parameters
resource_idstring(Required)
The unique ID of the file/folder.
Response Example
R007
R007
R004
R010
F7003
F7003
A001
R008
R008
F7004
R009
R009
R004
F000
200
200
400
401
403
404
500
Copied!
{
"data": [
{
"id": "ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2-747938058",
"type": "permissions",
"attributes": {
"email_id": "reyansh.ahuja@zylker.com",
"shared_time_in_millis": 1618290356663,
"shared_by": "Zylker Creation",
"expiry_in_millis": 0,
"relation_type": 0,
"expiration_date": "Jan 1, 1970, 5:30 AM",
"share_to_entity_info": {
"display_name": "Zylker Creation",
"email_id": "reyansh.ahuja@zylker.com",
"avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404"
},
"share_to_member_type": 1,
"role_id": 5,
"shared_time_i18": "Apr 13, 10:35 AM",
"shared_time": "Apr 13, 10:35 AM",
"shared_status": "ACTIVE",
"can_link_to_docs": true,
"owner": "747937818",
"allow_sharing_outside": false,
"shared_type": "personal",
"shared_to_entity": "Zylker Creation",
"delete_from_propagated_space": false,
"display_name": "Zylker Creation",
"message": "",
"share_to": "747938058",
"is_expired": false,
"shared_to_member_type": 1,
"avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404",
"is_password_protected": false,
"resource_id": "ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2",
"permalink": "https://www.zohoapis.com/workdrive/file/ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2",
"shared_by_zuid": "747938014"
},
"links": {
"self": "https://www.zohoapis.com/workdrive/permissions/ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2-747938058"
}
}
]
}
{
"errors": [
{
"id": "R007",
"title": "Invalid pattern"
}
]
}
{
"errors": [
{
"id": "R004",
"title": "Invalid resourceId"
}
]
}
{
"errors": [
{
"id": "R010",
"title": "Invalid parameter value"
}
]
}
{
"errors": [
{
"id": "F7003",
"title": "Invalid OAuth token"
}
]
}
{
"errors": [
{
"id": "A001",
"title": "Unauthorized access"
}
]
}
{
"errors": [
{
"id": "R008",
"title": "Insufficient permissions"
}
]
}
{
"errors": [
{
"id": "F7004",
"title": "Invalid OAuth scope"
}
]
}
{
"errors": [
{
"id": "R009",
"title": "Resource not active"
}
]
}
{
"errors": [
{
"id": "R004",
"title": "Resource not found"
}
]
}
{
"errors": [
{
"id": "F000",
"title": "General exception"
}
]
}
▼ Show full
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.